//
//  ELWelcomePanel.h
//  ELKit
//
//  Created by Douglas Welton on 8/2/09.
//  Copyright 2009 einstein's legacy. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "ELIconImageView.h"
#import "ELColorBoxView.h"

typedef NS_ENUM( NSInteger, RecentTabIndexType )
        {
          kRecentItemsAvailable = 0,
          kRecentItemsNotAvailable = 1
          };

@interface ELWelcomePanel : NSWindowController 
{
    IBOutlet ELColorBoxView             *backgroundView;
    IBOutlet ELIconImageView            *iconView;
    IBOutlet NSTabView                  *recentItemsTab;
    IBOutlet NSArrayController          *recentItemsController;
    
    IBOutlet NSTableView                *recentDocumentsTableView;

	NSImage                             *documentIconImage;
    
    NSString                            *applicationVersion;
    NSString                            *welcomeText;
    
    NSMutableArray                      *recentItems;
    NSInteger                            recentTabIndex;
    BOOL                                 hasRecentProjects;
	}                                    

@property (retain)  NSImage             *documentIconImage;

@property (retain)  NSString            *applicationVersion;
@property (retain)  NSString            *welcomeText;
    
@property (retain)  NSMutableArray      *recentItems;
@property           NSInteger            recentTabIndex;
@property           BOOL                 hasRecentProjects;

+ (instancetype) welcomePanel;

- (IBAction) createNewProject: (id)sender;
- (IBAction) visitProductWebsite: (id)sender;
- (IBAction) openRecentProject: (id)sender;

@end
